TORRUS_CONFIGSNAPSHOT(8)

NAME
configsnapshot - Generates a configuration snapshot for a Torrus tree.

SYNOPSIS
torrus configsnapshot --tree=TREENAME [options...]

DESCRIPTION
This command generates a configuration snapshot from current datasources for tree TREENAME. The output is an XML file, ready for compilation, representing all datasources, monitors and tokensets of a given tree. The snapshot does not include view definitions. Templates and file patterns are expanded inside the file. It does not require any other XML configuration files, except for defaults.xml and your custom view definitions.

Warning: "configsnapshot" from RRFW release 0.1.5 will not work correctly with databases from previous releases. Use RRFW release "0.1.4bf2" instead. "configsnapshot" utility from RRFW release 0.1.4bf2 does not preserve aliases.

This utility is useful in Torrus upgrade process. In case when RRD files structure is changing in Torrus default templates, and user(s) demand to preserve the historical data, the following steps could be done:

•   Stop the collector and monitor processes.

•   Install newest Torrus software and do not run "compilexml" immediately.

•   Create snapshots of the trees that you want to preserve for historical reasons:

      torrus configsnapshot --tree=myrouters \
        --out=/etc/torrus/xmlconfig/myrouters-snapshot.xml

•   If needed, move the existing RRD files into different directory. Then change the "data-dir" parameters in the snapshot XML accordingly.

•   Create a new tree with only the snapshot file in it. Compile the tree.

•   At this stage, it is up to the user to decide whether to continue running the collector and monitor daemons for this new tree. The old data may be preserved for historical reference, and collector may be run with the newest tree structure and definitions.

OPTIONS

--tree=TREE
    Mandatory parameter specifying the tree name.

--out=FILE
    Sets the output file to FILE. Default is snapshot.xml.

--param=PARAM  --value=VALUE
    Sets the filter on datasource leaves that have to be included in the snapshot. PARAM specifies the name of the datasource parameter, and VALUE sets the matching value. By default the numeric comparison is performed.

--op=OPERATOR
    Sets the fiter comparison operator. Accepted values: = (numeric), eq (text string comparison), and re (regular expression match). Default is numeric comparison.

--verbose
    Displays some extra information.

--help
    Displays a help message.

FILES

/usr/share/torrus/xmlconfig/defaults.xml
    XML configuration file with default settings for the datasources and tokensets, as well as default view definitions.

snapshot.xml
    Default configsnapshot output file.

SEE ALSO
torrus(8), torrus_compilexml(8)

NOTES
See more documentation at Torrus home page: http://torrus.org

AUTHOR
Stanislav Sinyagin <ssinyagin@k-open.com>